Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/yeahconsole: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Thu, 28 Aug 2014 15:04:05 +0000

http://phrat.de/
Drop-down X terminal emulator wrapper
---
 testing/yeahconsole/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/yeahconsole/APKBUILD
diff --git a/testing/yeahconsole/APKBUILD b/testing/yeahconsole/APKBUILD
new file mode 100644
index 0000000..6078e7a
--- /dev/null
+++ b/testing/yeahconsole/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=yeahconsole
+pkgver=0.3.4
+pkgrel=0
+pkgdesc="Drop-down X terminal emulator wrapper"
+url="http://phrat.de/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+source="${url}${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+   cd "$_builddir"
+   make PREFIX=${pkgdir}/usr || return 1
+}
+
+package() {
+   cd "$_builddir"
+   mkdir -p $pkgdir'/usr/bin'
+   make PREFIX=${pkgdir}/usr install || return 1
+   rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="83a2367f9b4857fed02464b0e8a6595a  yeahconsole-0.3.4.tar.gz"
+sha256sums="fcf3481f78a263a70f1cb5163630fc22e78bb0915013eb05689c6f4aeb0583ef  yeahconsole-0.3.4.tar.gz"
+sha512sums="cba74d988b3cb991d95de1796e9e79b881fe011d4fc8d6aa1f863f4c465aadfd31250e57d36ce0118dfc367225c2861cf8e80ac47996c2718d83756a8e638ead  yeahconsole-0.3.4.tar.gz"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Aug 28 2014 - 15:04:05 UTC